## org.dom4j.tree
Class ElementQNameIterator

    java.lang.Object
      org.dom4j.tree.FilterIterator
          org.dom4j.tree.ElementQNameIterator

All Implemented Interfaces:
  Iterator

Deprecated. THIS CLASS WILL BE REMOVED IN dom4j-1.6 !!

public class ElementQNameIterator
extends FilterIterator

`ElementQNameIterator` is a filtering `Iterator`which filters out objects which do not implement the `Element`interface and are not of the correct fully qualified element name.

Version:
  $Revision: 1.7 $
Author:
  James Strachan

Field Summary

Fields inherited from class org.dom4j.tree.FilterIterator
`proxy`

Constructor Summary
`ElementQNameIterator(Iterator proxy, QName qName)` Deprecated.

Method Summary
`protected boolean` `matches(Object object)` Deprecated. DOCUMENT ME!

Methods inherited from class org.dom4j.tree.FilterIterator
`findNext, hasNext, next, remove`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ElementQNameIterator

    public ElementQNameIterator(Iterator proxy,
                                QName qName)

  Deprecated.

Method Detail

### matches

    protected boolean matches(Object object)

  Deprecated.
  DOCUMENT ME!

  Specified by:
    `matches` in class `FilterIterator`
  Parameters:
    `object` - DOCUMENT ME!
  Returns:
    true if the given element implements the `Element` interface and matches the given `QName`

Copyright © 2001-2005 MetaStuff Ltd.. All Rights Reserved.